GET
/
business-profile
cURL
curl --request GET \
  --url https://api.gmbapi.com/external-api/gmb/business-profile \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "payload": {
    "id": "<string>",
    "reference_id": "<string>",
    "name": "<string>",
    "number_of_locations": 123,
    "created_at": "<string>"
  }
}
Requires an Organization token. Calling this endpoint with an Account token returns 403 Forbidden (Authorization level not found).
This endpoint retrieves accounts for the authenticated organization. You can optionally filter by account_id or reference_id to retrieve a specific account. If neither is provided, all accounts under the organization are returned.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

account_id
string

The unique account ID of the account to retrieve.

reference_id
string

Your external reference ID for the account.

Response

Account(s) retrieved successfully

success
boolean
Example:

true

payload
object

A single account when filtering by account_id or reference_id, or an array of all accounts for the organization.